variable "name"             { type = string }
variable "role_arn"         { type = string }
# variable "filename"         { type = string }
variable "source_code_hash" { type = string }
variable "handler"          { type = string }
variable "runtime"          { type = string }
variable "timeout"          {
    type = number
    default = 30
}
variable "memory_size"      {
    type = number
    default = 128
}
variable "environment"      {
    type = map(string)
    default = {}
}
variable "s3_bucket"        { type = string }
variable "s3_key"           { type = string }